1. Subscriptions
CIAO API
  • Getting Started
    • Introduction
    • Authentication
    • Responses and Error
  • Partners
    • Webhooks
    • Redemption Intent (Partners)
      • Create Redemption Intent
      • Retrieve Redemption Intent
    • Subscriptions
      • Create Subscription
        POST
      • Retrieve a subscription
        GET
      • Cancel Subscription
        POST
  • Resellers
    • Webhooks
    • Voucher Generation (Resellers)
      • Create Voucher Payment
      • Retrieve Voucher Payment
  • General
    • Get all Counties
      GET
  1. Subscriptions

Create Subscription

Developing
POST
/api/v1/subscriptions
Creates a subscription and returns a hosted checkout URL.
Important: Save reference from the create response. Use it for retrieve, cancel, and webhook correlation.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/subscriptions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "Malcolm_Sauer30@gmail.com",
    "amount": 868,
    "interval": "day",
    "reference": "ullamco elit est reprehenderit",
    "country_code": "SL",
    "callback_url": "https://trained-dusk.org/",
    "ip_address": "5af4:6e40:efdc:3789:be1a:e9eb:24dc:d8cd",
    "metadata": {
        "order_id": 82
    },
    "idempotency_key": "ullamco commodo",
}'
Response Response Example
{
    "status": true,
    "message": "Subscription created",
    "data": {
        "authorization_url": "http://127.0.0.1:8000/subscriptions/checkout/JuLTmNHD3Q6swch",
        "reference": "SUB-01KY2CFJWSJZNCZMTDDFF0KNE4"
    }
}
Modified at 2026-07-21 13:03:13
Previous
Retrieve Redemption Intent
Next
Retrieve a subscription
Built with